Jun 30, 2000
host
1
BIND9
2004
2005
2007
2008
Internet Systems Consortium, Inc. ("ISC")
2000
2001
2002
2003
Internet Software Consortium.

# host

DNS lookup utility

      host
      -aCdlnrTwv
      -c class
      -N ndots
      -R number
      -t type
      -W wait
      -4
      -6
      name
      server

## DESCRIPTION

`host` is a simple utility for performing DNS lookups. It is normally used to convert names to IP addresses and vice versa. When no arguments or options are given, `host` prints a short summary of its command line arguments and options.

`name` is the domain name that is to be looked up. It can also be a dotted-decimal IPv4 address or a colon-delimited IPv6 address, in which case `host` will by default perform a reverse lookup for that address. `server` is an optional argument which is either the name or IP address of the name server that `host` should query instead of the server or servers listed in `/etc/resolv.conf`.

The `-a` (all) option is equivalent to setting the `-v` option and asking `host` to make a query of type ANY.

When the `-C` option is used, `host` will attempt to display the SOA records for zone `name` from all the listed authoritative name servers for that zone. The list of name servers is defined by the NS records that are found for the zone.

The `-c` option instructs to make a DNS query of class `class`. This can be used to lookup Hesiod or Chaosnet class resource records. The default class is IN (Internet).

Verbose output is generated by `host` when the `-d` or `-v` option is used. The two options are equivalent. They have been provided for backwards compatibility. In previous versions, the `-d` option switched on debugging traces and `-v` enabled verbose output.

List mode is selected by the `-l` option. This makes `host` perform a zone transfer for zone `name`. Transfer the zone printing out the NS, PTR and address records (A/AAAA). If combined with `-a` all records will be printed.

The `-i` option specifies that reverse lookups of IPv6 addresses should use the IP6.INT domain as defined in RFC1886. The default is to use IP6.ARPA.

The `-N` option sets the number of dots that have to be in `name` for it to be considered absolute. The default value is that defined using the ndots statement in `/etc/resolv.conf`, or 1 if no ndots statement is present. Names with fewer dots are interpreted as relative names and will be searched for in the domains listed in the search or domain directive in `/etc/resolv.conf`.

The number of UDP retries for a lookup can be changed with the `-R` option. `number` indicates how many times `host` will repeat a query that does not get answered. The default number of retries is 1. If `number` is negative or zero, the number of retries will default to 1.

Non-recursive queries can be made via the `-r` option. Setting this option clears the RD &mdash; recursion desired &mdash; bit in the query which `host` makes. This should mean that the name server receiving the query will not attempt to resolve `name`. The `-r` option enables `host` to mimic the behavior of a name server by making non-recursive queries and expecting to receive answers to those queries that are usually referrals to other name servers.

By default `host` uses UDP when making queries. The `-T` option makes it use a TCP connection when querying the name server. TCP will be automatically selected for queries that require it, such as zone transfer (AXFR) requests.

The `-4` option forces `host` to only use IPv4 query transport. The `-6` option forces `host` to only use IPv6 query transport.

The `-t` option is used to select the query type. `type` can be any recognized query type: CNAME, NS, SOA, SIG, KEY, AXFR, etc. When no query type is specified, `host` automatically selects an appropriate query type. By default it looks for A, AAAA, and MX records, but if the `-C` option was given, queries will be made for SOA records, and if `name` is a dotted-decimal IPv4 address or colon-delimited IPv6 address, `host` will query for PTR records. If a query type of IXFR is chosen the starting serial number can be specified by appending an equal followed by the starting serial number (e.g. -t IXFR=12345678).

The time to wait for a reply can be controlled through the `-W` and `-w` options. The `-W` option makes `host` wait for `wait` seconds. If `wait` is less than one, the wait interval is set to one second. When the `-w` option is used, `host` will effectively wait forever for a reply. The time to wait for a response will be set to the number of seconds given by the hardware's maximum value for an integer quantity.

## FILES

`/etc/resolv.conf`

## SEE ALSO

dig 1 , named 8 .